FsImageProto.CacheManagerSectionOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, interface: CacheManagerSectionOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.CacheManagerSectionOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.CacheManagerSection`, `FsImageProto.CacheManagerSection.Builder`

Enclosing class:
  FsImageProto

public static interface FsImageProto.CacheManagerSectionOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getNextDirectiveId()`
  `required uint64 nextDirectiveId = 1;`
  `int`
  `getNumDirectives()`
  repeated CachePoolInfoProto pools repeated CacheDirectiveInfoProto directives
  `int`
  `getNumPools()`
  `required uint32 numPools = 2;`
  `boolean`
  `hasNextDirectiveId()`
  `required uint64 nextDirectiveId = 1;`
  `boolean`
  `hasNumDirectives()`
  repeated CachePoolInfoProto pools repeated CacheDirectiveInfoProto directives
  `boolean`
  `hasNumPools()`
  `required uint32 numPools = 2;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasNextDirectiveId

    boolean hasNextDirectiveId()
    `required uint64 nextDirectiveId = 1;`
    Returns:
      Whether the nextDirectiveId field is set.

  - ### getNextDirectiveId

    long getNextDirectiveId()
    `required uint64 nextDirectiveId = 1;`
    Returns:
      The nextDirectiveId.

  - ### hasNumPools

    boolean hasNumPools()
    `required uint32 numPools = 2;`
    Returns:
      Whether the numPools field is set.

  - ### getNumPools

    int getNumPools()
    `required uint32 numPools = 2;`
    Returns:
      The numPools.

  - ### hasNumDirectives

    boolean hasNumDirectives()

         repeated CachePoolInfoProto pools
         repeated CacheDirectiveInfoProto directives

    `required uint32 numDirectives = 3;`
    Returns:
      Whether the numDirectives field is set.

  - ### getNumDirectives

    int getNumDirectives()

         repeated CachePoolInfoProto pools
         repeated CacheDirectiveInfoProto directives

    `required uint32 numDirectives = 3;`
    Returns:
      The numDirectives.